name = input("Block/item name: ")
texture = input("Block/item texture (empty if same)")
itype = input("block/item: ")
shulker_box_types = ["shulker_box", "white_shulker_box", "light_gray_shulker_box", "gray_shulker_box", "black_shulker_box", "brown_shulker_box", "red_shulker_box", "orange_shulker_box", "yellow_shulker_box", "lime_shulker_box", "green_shulker_box", "cyan_shulker_box", "light_blue_shulker_box", "blue_shulker_box", "purple_shulker_box", "magenta_shulker_box", "pink_shulker_box"]

if texture == "":
    texture = name.replace(" ", "_").lower()
texture_id = name.replace(" ", "_").lower()

for box_type in shulker_box_types:
    with open (box_type+"/"+texture_id+".properties", "w") as f:
        f.write(f"items=shulker_box\nmodel={texture_id}\nnbt.display.Name=iregex:(.* )?{name}s?( box| shulker| shulker box)?")
    with open (box_type+"/"+texture_id+".json", "w") as f:
        f.write('{"parent":"./template","textures":{"item":"'+itype+'/'+texture_id+'.png"}}')

